Package org.apache.lucene.codecs.lucene103

# Class ForUtil

java.lang.Object
org.apache.lucene.codecs.lucene103.ForUtil

public final class ForUtil extends Object
Inspired from https://fulmicoton.com/posts/bitpacking/ Encodes multiple integers in one to get SIMD-like speedups. If bitsPerValue <= 8 then we pack 4 ints per Java int else if bitsPerValue <= 16 we pack 2 ints per Java int else we do scalar operations.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final int`
  `BLOCK_SIZE`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ForUtil()`

- ## Method Summary

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### BLOCK_SIZE

    public static final int BLOCK_SIZE
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### ForUtil

    public ForUtil()